Bug 112350 - kbabel freeze process after search
Summary: kbabel freeze process after search
Status: RESOLVED FIXED
Alias: None
Product: kbabel
Classification: Miscellaneous
Component: KBabel editor (show other bugs)
Version: 1.10.2
Platform: Gentoo Packages Linux
: NOR major with 20 votes (vote)
Target Milestone: ---
Assignee: Stanislav Visnovsky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-10 08:53 UTC by manolis
Modified: 2006-11-11 13:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description manolis 2005-09-10 08:53:47 UTC
Version:           1.10.2 (using KDE KDE 3.4.2)
Installed from:    Gentoo Packages
Compiler:          gcc 3.4.4 native amd64 build system
OS:                Linux

I open a po file in kbabel. 
I start a search with Ctrl+F or Edit->Find
enter a term.
After the first hit.
I use the wheel over the message list to browse & scroll the list.
I Try Find next , or F3 to find the next hit.
I doesn't do anything. The search process goes at 100% cpu usage.
I can click on the list to continue search normally with F3
The process of kbabel remains at 100% , and if I close it it remains open and at 100%.
I have to killall -9 kbabel

If in the above method if I don't scoll the message list, after the first hit. And just press F3, or edit messages there is no strange behaviour.
Comment 1 Nicolas Goutte 2005-10-03 14:55:01 UTC
Increasing severity to "major" (as it is a freeze).
Comment 2 manolis 2005-12-04 12:08:43 UTC
Same with kde 3.5 version of kbabel...

Why this bug is still UNCONFIRMED? There is noone that can reproduce it?
Comment 3 Stephan Johach 2006-11-11 13:25:14 UTC
SVN commit 604049 by johach:

Avoid endless loop if focus is taken away before "find next" operation.
BUG:112350


 M  +1 -1      kbabelview.cpp  


--- branches/KDE/3.5/kdesdk/kbabel/kbabel/kbabelview.cpp #604048:604049
@@ -1959,7 +1959,7 @@
 		pos.part = Msgid;
 		pos.offset = msgidLabel->currentIndex();
 	}
-	else if(msgstrEdit->hasFocus()){
+	else {
 		pos.part = Msgstr;
 		pos.offset = msgstrEdit->currentIndex();
 		pos.form = msgstrEdit->currentForm();